<? 
# Включаем вывод ошибок вместе с результатом работы скрипта
ini_set('display_errors', 1);
# Определение констант минимальных требований к системе
define('PHP_version', '4.3.10');
define('MySQL_version', '4.0.0');
define('GD_version', '2.0.0');
define('Data_limit', '2');
define('TIME_limit', '30');
define('DISC_space', '30');
define('RAM_space', '8');
define('SAFE_MODE', 'Отключено');
define('REGISTER_GLOBALS', 'Отключено');
define('MAGIC_QUOTES_GPC', 'Отключено');
define('DUMP_file', 'dump.sql');
define('LICENCE_file', 'licence.txt');
define('CONFIG_db', '../config_db.php');
define('XSLT', 'Поддерживается');
define('ZendOptimizer', 'Установлен');

# Удаляем непустую директорию
function removeDirectory($directory)
{
	$dir = @opendir($directory);
	while ($file = @readdir($dir))
	{
		if (@is_file($directory . '/' . $file))
		{
			@unlink($directory . '/' . $file);
		}
		elseif (@is_dir($directory . '/' . $file) && ($file != ".") && ($file != '..'))
		{
			removeDirectory($directory . '/' . $file);
		}
	}
	@closedir($dir);
	return @rmdir($directory);
}
# Чистим базу данных $resource
function Show_DropTables()
{
	# Выводим список таблиц базы данных, не являющихся временными
	$res = mysql_query("SHOW TABLES");

	if (mysql_num_rows($res)) {
		# Удаляем все таблицы из списка
		while ($rs = mysql_fetch_row($res))
		mysql_query("DROP TABLE " . $rs[0]);
		# Очищаем память связанную с переменной $res
		mysql_free_result($res);

		unset($rs);
		return(true);
	} else return false;
}
# Выполняем все запросы из DUMPа
function Exec_Dump($file) # Warning: Перед началом выполнения запросов дампа необходимо удалить из него заголовок#
{
	@Show_DropTables();

	$fp = fopen ($file, "r");
	while (!feof ($fp)) {
		# Читаем строку из файла и удаляем из неё символы \t\n
		$str = chop (fgets($fp, 65536));
		if (strlen($str)) {
			# Собираем запрос разделённый на несколько строк
			while (substr($str, strlen($str)-1, 1) <> ";" && substr($str, 0, 1) <> "#" && substr($str, 0, 2) <> "--")
			$str .= chop (fgets($fp, 65536));
			# Если не комментарии
			if (substr($str, 0, 1) <> "#" && substr($str, 0, 2) <> "--") {
				if (!mysql_query ($str))
				return false;
			}
		}
	}
	fclose ($fp);
	return true;
}

# Сравниваем две версии
function compare($par1, $par2)
{
	$opr1 = explode('.', $par1);
	$opr2 = explode('.', $par2);
	$res = ($opr1[0] - $opr2[0]) * 10000 + ($opr1[1] - $opr2[1]) * 100 + ($opr1[2] - $opr2[2]);
	if ($res <= 0)
	{
		return $opr2;
	}
	else
	{
		return false;
	}
}

# Получаем версию GD
function GetGDVersion()
{
	ob_start();

	phpinfo(8);

	$phpinfo = ob_get_contents();

	ob_end_clean();

	$phpinfo = stristr($phpinfo, "gd version");

	$phpinfo = stristr($phpinfo, "version");

	$end = strpos($phpinfo, "</tr>");

	if ($end) $phpinfo = substr($phpinfo, 0, $end);
	$phpinfo = strip_tags($phpinfo);

	if (ereg(".*([0-9]+)\.([0-9]+)\.([0-9]+).*", $phpinfo, $r))
	{
		$phpinfo = $r[1] . "." . $r[2] . "." . $r[3];
	}
	else
	{
		$phpinfo = 0;
	}

	return $phpinfo;
}

# Соединяемся с базой данных
function db_connect($db_host, $db_user_name, $db_password)
{
	# Соединение с БД
	$DB = mysql_connect($db_host, $db_user_name, $db_password);
	$result = true;
	if (!$DB) {
		return false;
	} else return $DB;
}
# Выбираем базу данных
function select_base($db, $db_name)
{
	# Выбираем БД
	if (!mysql_select_db($db_name, $db)) {
		return false;
	} else return true;
}
# Создаём новую базу данных
function create_base($db_name)
{
	# Выбираем БД
	if (!mysql_query('CREATE DATABASE IF NOT EXISTS ' . $db_name)) {
		return false;
	} else {
		return true;
	}
}
# Принимаем параметры базы данных и формируем из них текст для записи в файл
function check_base_param()
{
	if (isset($_POST['host']) && isset($_POST['user']) && isset($_POST['password']) && isset($_POST['database']))
	return
	"<? " .chr(13).chr(10) . "define('DB_USER_NAME','" . $_POST['user'] . "'); " . chr(13). chr(10) . "define('DB_PASSWORD','" . $_POST['password'] . "');" . chr(13). chr(10) . "define('DB_HOST','" . $_POST['host'] . "'); " . chr(13). chr(10) . "define('DB_NAME','" . $_POST['database'] . "'); " . chr(13). chr(10) . "?>";
	else
	return false;
}
# Сохраняем текст в файл
function SaveToFile($filename, $text)
{
	$fd = @fopen($filename, "w+");
	if ($fd) {
		$result = @fwrite ($fd, $text) && @fclose ($fd);
		@chmod($filename, 0777);
		return $result;
	} else {
		return false;
	}
}
# Получаем версию СУБД
function GetDBVersion()
{
	$result = mysql_query("select VERSION() as version");

	if (mysql_num_rows($result)) {
		$row = mysql_fetch_array($result);
		$dbversion = $row['version'];
	} else
	$dbversion = 'Не определена';

	return $dbversion;
}

function head_title($title)
{

	?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<title>Инсталляция системы управления сайтами HostCMS v. 3</title>

<meta http-equiv="Content-Language" content="ru">
<meta content="text/html; charset=windows-1251" http-equiv=Content-Type>
<meta name="robots" content="index,follow">

<link rel=stylesheet type=text/css href=style.css>
</head>

<body bgcolor=#FFFFFF topmargin=0 leftmargin=0 marginwidth=0 marginheight=0>

<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
    <td height=99></td>
    <td>
        <table border="0" cellspacing="0" cellpadding="0" width=100%>
        <tr>
            <td class="step"><?=$title?></td>
            <td align="center" class=logo><a href="http://www.hostcms.ru/" target="_blank"><img src="images/logo.gif" class=img_logo></a><br>Система управления сайтом</td>
        </tr> 
        </table>   
    </td>
</tr>
<tr>
<td valign="top" class=padding_line><img src="images/left_line.gif"></td>
<td>
    <table border="0" cellspacing="0" cellpadding="0" class=background width=100%>
    <tr>
        <td width="319" height="182" valign="top"><img src="images/main_img.jpg"></td>
        <td valign="top"><img src="images/line.gif"></td>
        <td class=padding>
        <img src="images/slogan.gif">
        <p>
        <div>
        Система управления сайтом HostCMS v. 3 позволяет свести к минимуму расходы на сопровождение сайта за счет простоты управления информацией.
        <br>C помощью HostCMS управлять сайтом сможет рядовой сотрудник компании без специальных навыков программирования и занятия HTML.
        </div>
        </td>
    </tr>
    </table> 
</td>
</tr>
<tr>
<td></td>
<td>
<?
}

function bottom_title()
{

	?>    
    <table border=0 cellspacing="0" cellpadding="0" width=457>
    <tr>
        <td class=padding_table_line><div><img src="images/footer_line.gif" height=1  alt=""></div>
        </td>
    </tr>
    <tr>
        <td><b>Copyright &copy; 2003-<?=date('Y')?> ООО &quot;ХостМэйк&quot; (<a href="http://www.hostmake.ru" target="_blank">www.HostMake.ru</a>)</b>
        </td>
    </tr>
    <tr>
        <td height=18></td>
    </tr>
    <tr>
        <td>Все права защищены.
        Запрещено любое воспроизведение системы управления сайтом HostCMS и ее элементов в какой бы то ни было форме и какими бы то ни было средствами.
        </td>
    </tr>
    <tr>
    <td height=18></td>
    <tr>  
        <td><a href="http://www.hostcms.ru/">http://www.hostcms.ru</a><br><a href="mail:support@hostcms.ru">support@hostcms.ru</a></td>
    </tr>
    </table>
</td>
</tr>
</table>
</body>
</html>
<?
}
if (isset($_POST['start']) && !isset($_POST['step0'])) {
	removeDirectory('../install');
	# Редирект на главную страницу
	header('Location: ../');
	exit();
}
if (isset($_POST['step1']) || (isset($_POST['step2']) && !isset($_POST['license_agree']))) {
	head_title('Шаг 2: Лицензионное соглашение');

	?>
<form method="POST" action="index.php">
    <table border="0" cellspacing="0" cellpadding="0" width="80%">
    <tr>
        <td align="left" valign="top"><div id="footer_line"></div></td>
        <td class=padding_text>
        
<?
if ((isset($_POST['step2']) && !isset($_POST['license_agree']))) {

		?>
<font class="error">			
Для продолжения установки Вам необходимо согласиться с условиями лицензионного соглашения!
</font>        
<br><br>
<?
}

	?>
        
      <iframe name="license_text" src="<?=LICENCE_file?>"  width="100%" height="250" frameBorder="1"></iframe>
		<p>
		<input type="checkbox" class="input_not_border" name="license_agree" value="on" id="license_agree_id">
		<label for="license_agree_id">Я согласен с условиями лицензионного соглашения</label>
        </td>
    </tr>
    <tr>
        <td colspan="2" align="right" class=padding_bottom>
        <button name="step2" value="Далее" type="submit"><span>Далее</span><img src="images/arrow_right.gif"></button>
        </td>
    </tr>
    </table>
</form>
<?
bottom_title();
exit();
}
if ((isset($_POST['step2']) && isset($_POST['license_agree']) && ($_POST['license_agree'] = 'on'))) {
	head_title('Шаг 3: Проверка соответствия параметров системы');

	?>
<form method="POST" action="index.php">
	<table border="0" cellspacing="0" cellpadding="0" width="80%">
	  <tr>
	  <td class=padding_bottom>
	  <table border="0" class="tableborder" cellspacing="0" cellpadding="3">
		<tr style="height:30px; background-color:#f0f0f0; text-align:center;">
			<td width=250><strong>Параметр</strong></td>
			<td width=120><strong>Требуется</strong></td>
			<td width=120><strong>Имеется</strong></td>
		</tr>
		<tr>
			<td>PHP версия:</td>
			<td><font class="success"><?= PHP_version;
	?></font></td>
			<td><font class="<? $php = (phpversion())? phpversion() :'Не определено';
			echo (compare(PHP_version, phpversion()))? 'success' :'error';
			?>"><?= $php;
	?></font></td>
		</tr>
		<tr>
			<td>MySQL версия:</td>
			<td><font class="success"><?= MySQL_version;
	?></font></td>
			<td><font class="<? $sql = (GetDBVersion())? GetDBVersion() :'Не определено';
			echo (compare(MySQL_version, GetDBVersion()))? 'success' :'error';
			?>"><?= $sql;
	?></font></td>
		</tr>
		<tr>
			<td>GD версия:</td>
			<td><font class="success"><? echo GD_version;
	?></font></td>
			<td><font class="<? $gd = (GetGDVersion())? GetGDVersion() :'Не определено';
			echo (compare(GD_version, GetGDVersion()))? 'success' :'error';
			?>"><?= $gd;
	?></font></td>
		</tr>
		<tr>
			<td>Максимальный размер загружаемых данных:</td>
			<td><font class="success"><?= Data_limit?>М</font></td>
			<td><font class="<? $d_l = (ini_get('post_max_size'))? ini_get('max_execution_time') :'Не определено';
			echo ($d_l != 'Не определено' && $d_l >= Data_limit)? 'success' :'error';
			?>"><?= ($d_l != 'Не определено')?$d_l . 'М':$d_l;
	?></font></td>
		</tr>
		<tr>
			<td>Максимальное время исполнения:</td>
			<td><font class="success"><?= TIME_limit?> сек.</font></td>
			<td><font class="<? $t_l = (ini_get('max_execution_time'))? ini_get('max_execution_time') :'Не определено';
			echo ($t_l != 'Не определено' && $t_l >= TIME_limit)? 'success' :'error';
			?>"><?= ($t_l != 'Не определено')?$t_l . ' сек.':$t_l;
	?></font></td>
		</tr>
		<tr>
			<td>Путь сохранения сессий:</td>
			<td colspan="2" align="center"><font class="success"><?=session_save_path()?></font></td>
		</tr>
		<tr>
			<td>Директория для временных файлов:</td>
			<td colspan="2" align="center"><font class="success"><?=(strlen(trim(ini_get("upload_tmp_dir"))) > 0) ? ini_get("upload_tmp_dir") : "<font class=error>" . 'upload_tmp_dir не установлена' . "</font>"?></font></td>
		</tr>
		<tr>
			<td>Дисковое пространство:</td>
			<td><font class="success"><?= DISC_space;
	?>M</font></td>
			<td><font class="<? $d_s = disk_free_space($_SERVER['DOCUMENT_ROOT'])? round(disk_free_space($_SERVER['DOCUMENT_ROOT']) / 1024 / 1024, 2) :'Не определено';
			echo ($d_s != 'Не определено' && $d_s >= DISC_space)? 'success' :'error';
			?>"><?= ($d_s != 'Не определено')?$d_s . 'М':$d_s;
	?></font></td>
		</tr>
		<tr>
			<td>Объём памяти:</td>
			<td><font class="success"><?= RAM_space;
	?>M</font></td>
			<td><font class="<? $r_s = (ini_get('safe_mode'))? ini_get('safe_mode') :'Не определено';
			echo ($r_s != 'Не определено' && $r_s >= RAM_space)? 'success' :'error';
			?>"><?= ($r_s != 'Не определено')?$r_s . 'М':$r_s;
	?></font></td>
		</tr>
		<tr>
			<td>Защищённый режим (SAFE_MODE):</td>
			<td><font class="success"><?= SAFE_MODE;
	?></td>
			<td><font class="<?=(($s_m = (ini_get('safe_mode') == 1) ? 'Включено' : 'Отключено') == SAFE_MODE) ? 'success' :'error';
			?>"><?= $s_m;
	?></font></td>
		</tr>
		<tr>
			<td>REGISTER_GLOBALS:</td>
			<td><font class="success"><?= REGISTER_GLOBALS;
	?></font></td>
			<td><font class="<?=(($r_g = (ini_get('register_globals') == 1) ? 'Включено' : 'Отключено') == REGISTER_GLOBALS) ? 'success' :'error';
			?>"><?= $r_g;
	?></font></td>
		</tr>
		<tr>
			<td>MAGIC_QUOTES_GPC:</td>
			<td><font class="success"><?= MAGIC_QUOTES_GPC;
	?></font></td>
			<td><font class="<?=(($m_q = (ini_get('magic_quotes_gpc') == 1) ? 'Включено' : 'Отключено') == MAGIC_QUOTES_GPC) ? 'success' :'error';
			?>"><?= $m_q;
	?></font></td>
		</tr>
		<tr>
			<td>Поддержка XSLT (DOM XML или Sablotron):</td>
			<td><font class="success"><?=XSLT?></font></td>
			<td><font class="<? if ($z_o = (function_exists('xslt_create') || function_exists('domxml_xslt_stylesheet') || class_exists('DomDocument'))) echo 'success">'.XSLT; else echo 'error">Не поддерживается';
	?></font></td>
		</tr>
		<tr>
			<td>Наличие Zend Optimizer:</td>
			<td><font class="success"><?=ZendOptimizer?></font></td>
			<td><font class="<? if ($z_o = (function_exists('zend_loader_enabled') && zend_loader_enabled())) echo 'success">Установлен'; else echo 'error">Не установлен';
	?></font></td>
		</tr>
    </table>
    <td>
    </tr>
    <tr>
		<td align="right" class=padding_bottom>
        	<button name="step3" value="Далее" type="submit"><span>Далее</span><img src="images/arrow_right.gif"></button>
        </td>
    </tr>
    </table>
</form>
<?
bottom_title();
exit();
}
if (isset($_POST['step3']) || isset($_POST['step5'])) {
	head_title('Шаг 4: Параметры базы данных');

	?>
<form method="POST" action="index.php" ENCTYPE="multipart/form-data">
<INPUT TYPE="hidden" NAME="MAX_FILE_SIZE" VALUE="1000000000">	
<table border="0" cellspacing="0" cellpadding="0" width="80%">
  <tr>
	  <td class=padding_bottom>
		<table border="0" align="left" width="450">
		<tr>
			<td colspan="2" align="center">
				<strong>Параметры базы данных</strong>
			</td>
		</tr>
		<tr> 
			<td align="left"" valign="top" class="tablebody1">
				MySQL cервер:
			</td>
			<td class="tablebody3" valign="top">
				<input type="text" name="host" size="30" value="">
				<br><small>(например localhost)</small>
				<br>
			</td>
		</tr>
		<tr> 
			<td align="left" class="tablebody1" valign="top">
				Логин для базы данных:</td>
			<td class="tablebody3" valign="top">
				<input type="text" name="user" size="30" value="">
				<br><small>(например root)</small>
				<br>
			</td>
		</tr>
		<tr> 
			<td align="left" valign="top">
				Пароль для базы данных:
			</td>
			<td valign="top">
				<input type="password" name="password" size="30" value=""><br>
				<br>
			</td>	
		</tr>
		<tr> 
			<td align="left" valign="top">База данных MySQL:</td>
			<td valign="top">
				<input type="text" name="database" size="30" value="">
				<br><small>(например hostcmsdb)</small>
				<br><font color="red">Внимание! Все данные из существующей БД будут уничтожены!</font>
			</td>
		</tr>
		<tr> 
			<td align="left" valign="top">
				<label for="create_base_id">Создать базу данных:<label>
			</td>
			<td valign="top">
				<input id="create_base_id" type="checkbox" class="input_not_border" name="create_database" value="on">Если база данных у Вас уже создана - не устанавливайте этот флажок.
			</td>
		</tr>
	</table>
	</td>
	</tr>
	<tr>
		<td align="right" class=padding_bottom>
        	<button name="step4" value="Далее" type="submit"><span>Далее</span><img src="images/arrow_right.gif"></button>
        </td>
    </tr>
</table>
</form>
<?
bottom_title();
exit();
}
if (isset($_POST['step4'])) {
	head_title('Шаг 5: Результаты предварительного конфигурирования');
	$flag = (($text = check_base_param()) && SaveToFile(CONFIG_db, $text))?true:false;

	?>
<form method="POST" action="index.php">
<table border="0" cellspacing="0" cellpadding="0" width="80%">
  <tr>
	  <td class=padding_bottom>
		<table border="0" align="left" cellpadding="5">
		<tr>
			<td width="200">Запись параметров БД: </td>
			<td><font class="<?=($flag)?'success">Ok</font>':'error">No</font>
			</td><td>Ошибка записи файла <b>/config_db.php</b>. Установите необходимые права доступа (например CHMOD 777) для директории, в которую установлена система!'
			?></td>
		</tr>
		<tr>
		<tr>
			<td>Соединение с базой данных:</td>
			<td><font class="<? if ($text && ($DB = db_connect($_POST['host'], $_POST['user'], $_POST['password']))) echo 'success">Ok</font>';
			else echo 'error">No</font>
			</td><td>Проверьте правильность данных для соединения с БД!';
			$flag = $flag && $DB;
	?></td>
		</tr>
		<?
		if (isset($_POST['create_database']) && ($_POST['create_database'] == 'on')) {

		?>
		<tr>
			<td>Создание базы данных: </td>
			<td><font class="<? if ($text && ($c_b = create_base($_POST['database']))) echo 'success">Ok';
			else echo 'error">No';
			$flag = $flag && $c_b;
		?></font></td>
		</tr>
		<?
}

	?>
		<tr>
			<td>Выбор базы данных: </td>
			<td><font class="<? if ($text && ($s_b = ($DB && select_base($DB, $_POST['database'])))) echo 'success">Ok';
			else echo 'error">No';
			$flag = $flag && $s_b;
	?></font></td>
		</tr>
		<tr>
		<tr>
			<td>Загрузка и выполнение дампа SQL: </td>
			<td><font class="<? if ($text && ($e_b = ($DB && Exec_Dump(DUMP_file, $DB)))) echo 'success">Ok';
			else echo 'error">No';
			$flag = $flag && $e_b;
	?></font></td>
		</tr>
	</table>
<?
if ($flag) {

		?>
	<tr>
		<td align="right" class=padding_bottom>
        	<button name="step6" value="Далее" type="submit"><span>Далее</span><img src="images/arrow_right.gif"></button>
        </td>
    </tr>
<?
} else {

		?>
	<tr>
		<td align="left" class=padding_bottom>
        	<button name="step5" value="Назад" type="submit"><img src="images/arrow_left.gif"><span>Назад</span></button>
        </td>
    </tr>
<?
}

	?>

</table>
</form>
<?
bottom_title();
exit();
}
if (isset($_POST['step6'])) {
	head_title('Шаг 6: Завершение установки HostCMS');

	?>
<form method="POST" action="index.php">
<table border="0" cellspacing="0" cellpadding="0" width="80%">
    <tr>
        <td valign="top" width=2><div id="footer_line"></div></td>
        <td class=padding_text>
        <p><strong>Настройка системы управления успешно завершена.</strong>
	<p>Для завершения установки, перехода на главную страницу сайта и удаления системы инсталляции нажмите кнопку <strong>"Запуск"</strong>. 
        <p>Для перехода в раздел администрироания введите в адресную строку браузера <a href="/admin/" target="_blank">http://[ваш_сайт]/admin/</a>, предварительно заменив [ваш_сайт] на адрес сайта.
        <p>Для входа в раздел администрирования используйте
	<br>Login: admin
	<br>Пароль: admin
        <p>Благодарим за выбор системы управления сайтом HostCMS v. 3 
        <p>
        </td>
    </tr>
    <tr>
        <td colspan="2" align="right" class=padding_bottom>
        <button name="start" value="Запуск" type="submit"><span>Запуск</span><img src="images/arrow_up.gif"></button>
        </td>
    </tr>
</table>
</form>
<?
bottom_title();
exit();
}
if (($fd = @fopen(CONFIG_db, 'r')) && !isset($_POST['step0'])) {
	head_title('<font class="error">Система управления HostCMS уже установлена</font>');

	?>
    <table border="0" cellspacing="0" cellpadding="0" width="80%">
    <tr>
        <td valign="top" width=2><div id="footer_line"></div></td>
        <td class=padding_text>
        <p>Система управления HostCMS v.3 для данного сайта была установлена ранее.
        <p>В случае повторной инсталляции рекомендуется производить установку в новую базу данных, в противном случае все данные в БД будут потеряны.
        <p>Если Вы действительно хотите произвести повторную установку системы управления, нажмите кнопку <strong>"Далее"</strong>.
        <p>Если Вы хотите запустить систему управления, удалив файлы инсталляции, нажмите кнопку <strong>"Запуск"</strong>.
        <p>Вы также можете вручную удалить директорию <b>/install/</b> с Вашего сайта для продолжения работы!
        </td>
    </tr>
    <tr>
    	<td></td>
        <td align="left" class=padding_bottom>
        <form method="POST" action="index.php">
        <button name="start" value="Запуск" type="submit"><span>Запуск</span><img src="images/arrow_up.gif"></button>
        </form>
        </td>
   		<td align="right" class=padding_bottom>
   		<form method="POST" action="index.php">
        <button name="step0" value="Далее" type="submit"><span>Далее</span><img src="images/arrow_right.gif"></button>
        </form>
        </td>
    </tr>
    </table>
<?
bottom_title();
fclose($fd);
exit();
} else {
	head_title('Шаг 1: Информация о системе управления');

	?>
<form method="POST" action="index.php">
    <table border="0" cellspacing="0" cellpadding="0" width="80%">
    <tr>
        <td valign="top" width=2><div id="footer_line"></div></td>
        <td class=padding_text>
        <p>Программа установки проверит соответствие Вашего программного обеспечения системным требованиям и произведет установку и первоначальное конфигурирование системы управления сайтом HostCMS v. 3
        <p>В случае возникновения у Вас вопросов или неточностей в работе системы управления сайтом HostCMS, просим Вас обращаться в службу технической поддержки.
        Ответ на Ваш запрос будет дан в течение 12 часов по рабочим дням.
        <p>Благодарим за доверие и использование системы управления сайтом HostCMS v. 3.
        </td>
    </tr>
    <tr>
        <td colspan="2" align="right" class=padding_bottom>
        <button name="step1" value="Далее" type="submit"><span>Далее</span><img src="images/arrow_right.gif"></button>
        </td>
    </tr>
    </table>
</form>    
<?
bottom_title();
}

?> 